let SessionLoad = 1
let s:so_save = &g:so | let s:siso_save = &g:siso | setg so=0 siso=0 | setl so=-1 siso=-1
let v:this_session=expand("<sfile>:p")
silent only
silent tabonly
cd ~/projects/open_engine
if expand('%') == '' && !&modified && line('$') <= 1 && getline(1) == ''
  let s:wipebuf = bufnr('%')
endif
let s:shortmess_save = &shortmess
if &shortmess =~ 'A'
  set shortmess=aoOA
else
  set shortmess=aoO
endif
badd +1 ~/projects/open_engine
badd +4 ~/projects/open_engine/.clangd
badd +4 ~/projects/open_engine/open_engine/src/open_engine/opengl/opengl_shader.cpp
badd +212 ~/projects/open_engine/application/include/sandbox.hpp
badd +67 ~/projects/open_engine/open_engine/src/open_engine/renderer/shader.cpp
badd +45 ~/projects/open_engine/open_engine/include/open_engine/opengl/opengl_shader.hpp
badd +23 ~/projects/open_engine/open_engine/include/open_engine/input/linux_input.hpp
badd +105 ~/projects/open_engine/open_engine/src/open_engine/input/linux_input.cpp
badd +31 ~/projects/open_engine/open_engine/include/open_engine/input/input_system.hpp
badd +1 ~/projects/open_engine/open_engine/include/open_engine.hpp
badd +29 ~/projects/open_engine/open_engine/include/open_engine/renderer/shader.hpp
badd +3392 ~/projects/open_engine/open_engine/vendor/glad/include/glad/glad.h
badd +3 ~/projects/open_engine/assets/shaders/texture.glsl
badd +39 ~/projects/open_engine/open_engine/include/open_engine/logging.hpp
badd +1 ~/projects/open_engine/open_engine/src/open_engine/application.cpp
badd +1 ~/projects/open_engine/open_engine/include/open_engine/pch.hpp
badd +35 /usr/include/alloca.h
badd +1 ~/projects/open_engine/DAP\ Watches
badd +1 ~/projects/open_engine/DAP\ Stacks
badd +1 ~/projects/open_engine/DAP\ Breakpoints
badd +1 ~/projects/open_engine/DAP\ Scopes
badd +1 ~/projects/open_engine/DAP\ Console
badd +1 ~/projects/open_engine/\[dap-repl-27]
badd +1529 /usr/include/c++/15.2.1/bits/shared_ptr_base.h
badd +40 ~/projects/open_engine/open_engine/CMakeLists.txt
badd +1 ~/projects/open_engine/.envrc
badd +1 ~/projects/open_engine/.project_config
badd +17 ~/projects/open_engine/imgui.ini
badd +1 ~/projects/open_engine/compile_commands.json
badd +28 ~/projects/open_engine/open_engine/include/open_engine/core.hpp
badd +96 ~/projects/open_engine/open_engine/src/open_engine/window/linux_window.cpp
badd +36 ~/projects/open_engine/open_engine/include/open_engine/window/window.hpp
badd +609 /usr/include/GLFW/glfw3.h
badd +650 ~/.conan2/p/b/imguic69fe98538919/p/include/imgui.h
argglobal
%argdel
$argadd ~/projects/open_engine
set stal=2
tabnew +setlocal\ bufhidden=wipe
tabnew +setlocal\ bufhidden=wipe
tabnew +setlocal\ bufhidden=wipe
tabrewind
edit ~/projects/open_engine/open_engine/include/open_engine/input/input_system.hpp
let s:save_splitbelow = &splitbelow
let s:save_splitright = &splitright
set splitbelow splitright
wincmd _ | wincmd |
vsplit
1wincmd h
wincmd w
wincmd _ | wincmd |
split
1wincmd k
wincmd w
let &splitbelow = s:save_splitbelow
let &splitright = s:save_splitright
wincmd t
let s:save_winminheight = &winminheight
let s:save_winminwidth = &winminwidth
set winminheight=0
set winheight=1
set winminwidth=0
set winwidth=1
exe 'vert 1resize ' . ((&columns * 124 + 127) / 255)
exe '2resize ' . ((&lines * 29 + 31) / 62)
exe 'vert 2resize ' . ((&columns * 2 + 127) / 255)
exe '3resize ' . ((&lines * 29 + 31) / 62)
exe 'vert 3resize ' . ((&columns * 2 + 127) / 255)
argglobal
balt ~/projects/open_engine/open_engine/src/open_engine/input/linux_input.cpp
setlocal foldmethod=manual
setlocal foldexpr=0
setlocal foldmarker={{{,}}}
setlocal foldignore=#
setlocal foldlevel=0
setlocal foldminlines=1
setlocal foldnestmax=20
setlocal foldenable
silent! normal! zE
let &fdl = &fdl
let s:l = 28 - ((27 * winheight(0) + 29) / 59)
if s:l < 1 | let s:l = 1 | endif
keepjumps exe s:l
normal! zt
keepjumps 28
normal! 062|
lcd ~/projects/open_engine
wincmd w
argglobal
if bufexists(fnamemodify("~/projects/open_engine/open_engine/src/open_engine/input/linux_input.cpp", ":p")) | buffer ~/projects/open_engine/open_engine/src/open_engine/input/linux_input.cpp | else | edit ~/projects/open_engine/open_engine/src/open_engine/input/linux_input.cpp | endif
if &buftype ==# 'terminal'
  silent file ~/projects/open_engine/open_engine/src/open_engine/input/linux_input.cpp
endif
balt /usr/include/GLFW/glfw3.h
setlocal foldmethod=manual
setlocal foldexpr=0
setlocal foldmarker={{{,}}}
setlocal foldignore=#
setlocal foldlevel=0
setlocal foldminlines=1
setlocal foldnestmax=20
setlocal foldenable
silent! normal! zE
let &fdl = &fdl
let s:l = 105 - ((27 * winheight(0) + 14) / 29)
if s:l < 1 | let s:l = 1 | endif
keepjumps exe s:l
normal! zt
keepjumps 105
normal! 05|
lcd ~/projects/open_engine
wincmd w
argglobal
if bufexists(fnamemodify("~/projects/open_engine/open_engine/include/open_engine/input/linux_input.hpp", ":p")) | buffer ~/projects/open_engine/open_engine/include/open_engine/input/linux_input.hpp | else | edit ~/projects/open_engine/open_engine/include/open_engine/input/linux_input.hpp | endif
if &buftype ==# 'terminal'
  silent file ~/projects/open_engine/open_engine/include/open_engine/input/linux_input.hpp
endif
balt ~/projects/open_engine/open_engine/include/open_engine/input/input_system.hpp
setlocal foldmethod=manual
setlocal foldexpr=0
setlocal foldmarker={{{,}}}
setlocal foldignore=#
setlocal foldlevel=0
setlocal foldminlines=1
setlocal foldnestmax=20
setlocal foldenable
silent! normal! zE
let &fdl = &fdl
let s:l = 23 - ((18 * winheight(0) + 14) / 29)
if s:l < 1 | let s:l = 1 | endif
keepjumps exe s:l
normal! zt
keepjumps 23
normal! 086|
lcd ~/projects/open_engine
wincmd w
exe 'vert 1resize ' . ((&columns * 124 + 127) / 255)
exe '2resize ' . ((&lines * 29 + 31) / 62)
exe 'vert 2resize ' . ((&columns * 2 + 127) / 255)
exe '3resize ' . ((&lines * 29 + 31) / 62)
exe 'vert 3resize ' . ((&columns * 2 + 127) / 255)
tabnext
edit ~/projects/open_engine/open_engine/src/open_engine/application.cpp
let s:save_splitbelow = &splitbelow
let s:save_splitright = &splitright
set splitbelow splitright
wincmd _ | wincmd |
vsplit
1wincmd h
wincmd w
let &splitbelow = s:save_splitbelow
let &splitright = s:save_splitright
wincmd t
let s:save_winminheight = &winminheight
let s:save_winminwidth = &winminwidth
set winminheight=0
set winheight=1
set winminwidth=0
set winwidth=1
exe 'vert 1resize ' . ((&columns * 126 + 127) / 255)
exe 'vert 2resize ' . ((&columns * 0 + 127) / 255)
argglobal
balt ~/projects/open_engine/open_engine/src/open_engine/window/linux_window.cpp
setlocal foldmethod=manual
setlocal foldexpr=0
setlocal foldmarker={{{,}}}
setlocal foldignore=#
setlocal foldlevel=0
setlocal foldminlines=1
setlocal foldnestmax=20
setlocal foldenable
silent! normal! zE
let &fdl = &fdl
let s:l = 49 - ((33 * winheight(0) + 29) / 59)
if s:l < 1 | let s:l = 1 | endif
keepjumps exe s:l
normal! zt
keepjumps 49
normal! 044|
lcd ~/projects/open_engine
wincmd w
argglobal
if bufexists(fnamemodify("~/projects/open_engine/open_engine/src/open_engine/window/linux_window.cpp", ":p")) | buffer ~/projects/open_engine/open_engine/src/open_engine/window/linux_window.cpp | else | edit ~/projects/open_engine/open_engine/src/open_engine/window/linux_window.cpp | endif
if &buftype ==# 'terminal'
  silent file ~/projects/open_engine/open_engine/src/open_engine/window/linux_window.cpp
endif
balt ~/projects/open_engine/open_engine/src/open_engine/application.cpp
setlocal foldmethod=manual
setlocal foldexpr=0
setlocal foldmarker={{{,}}}
setlocal foldignore=#
setlocal foldlevel=0
setlocal foldminlines=1
setlocal foldnestmax=20
setlocal foldenable
silent! normal! zE
let &fdl = &fdl
let s:l = 97 - ((29 * winheight(0) + 29) / 59)
if s:l < 1 | let s:l = 1 | endif
keepjumps exe s:l
normal! zt
keepjumps 97
normal! 044|
lcd ~/projects/open_engine
wincmd w
exe 'vert 1resize ' . ((&columns * 126 + 127) / 255)
exe 'vert 2resize ' . ((&columns * 0 + 127) / 255)
tabnext
edit ~/projects/open_engine/application/include/sandbox.hpp
wincmd t
let s:save_winminheight = &winminheight
let s:save_winminwidth = &winminwidth
set winminheight=0
set winheight=1
set winminwidth=0
set winwidth=1
argglobal
setlocal foldmethod=manual
setlocal foldexpr=0
setlocal foldmarker={{{,}}}
setlocal foldignore=#
setlocal foldlevel=0
setlocal foldminlines=1
setlocal foldnestmax=20
setlocal foldenable
silent! normal! zE
let &fdl = &fdl
let s:l = 212 - ((29 * winheight(0) + 29) / 59)
if s:l < 1 | let s:l = 1 | endif
keepjumps exe s:l
normal! zt
keepjumps 212
normal! 055|
lcd ~/projects/open_engine/application/include
tabnext
edit ~/projects/open_engine/assets/shaders/texture.glsl
argglobal
setlocal foldmethod=manual
setlocal foldexpr=0
setlocal foldmarker={{{,}}}
setlocal foldignore=#
setlocal foldlevel=0
setlocal foldminlines=1
setlocal foldnestmax=20
setlocal foldenable
silent! normal! zE
let &fdl = &fdl
let s:l = 6 - ((5 * winheight(0) + 29) / 59)
if s:l < 1 | let s:l = 1 | endif
keepjumps exe s:l
normal! zt
keepjumps 6
normal! 0
lcd ~/projects/open_engine
tabnext 3
set stal=1
if exists('s:wipebuf') && len(win_findbuf(s:wipebuf)) == 0 && getbufvar(s:wipebuf, '&buftype') isnot# 'terminal'
  silent exe 'bwipe ' . s:wipebuf
endif
unlet! s:wipebuf
set winheight=1 winwidth=20
let &shortmess = s:shortmess_save
let s:sx = expand("<sfile>:p:r")."x.vim"
if filereadable(s:sx)
  exe "source " . fnameescape(s:sx)
endif
let &g:so = s:so_save | let &g:siso = s:siso_save
set hlsearch
doautoall SessionLoadPost
unlet SessionLoad
" vim: set ft=vim :
